.offer {
    color: $white;
    overflow: hidden;
    position: relative;
    font-size: rem(20);
    line-height: rem(30);

    &:before {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        content: '';
        z-index: 10;
        position: absolute;
        background: rgba(0,0,0,0.7);
    }

    &__main {
        z-index: 20;
        padding: rem(40) 0;
        position: relative;
    }

    &__media {
        top: 0;
        left: 0;
        bottom: 0;
        z-index: 1;
        width: 100%;
        position: absolute;
    }

    &__header {
        margin-bottom: rem(20);
    }

    &__button {
        padding-top: rem(20);

        .btn {
            width: 100%;
            max-width: rem(400);
        }
    }

    @include media-breakpoint-up(md) {

        &__main {
            padding: rem(60) 0;
        }

        &__content {
            width: rem(600);
        }
    }

    @include media-breakpoint-up(xl) {

        &:before {
            left: 50%;
            background: url("../img/blue_pattern.webp") 50% 50% no-repeat;
            background-size: cover;
        }

        &__media {
            width: 50%;
        }

        &__wrap {
            padding-left: 50%;
        }

        &__content {
            width: auto;
            padding-left: rem(84);
        }
    }
}

